#include <stdarg.h>
#include <stdbool.h>
#include <stdint.h>
#include <stdlib.h>

uintptr_t do_nothing_again_rust(void);

char *fernet_generate_token(const char *dn, const char *raw_key);

bool fernet_verify_token(const char *dn, const char *token, const char *raw_key, uint64_t ttl);
